package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysConfigService;
import cn.estsh.impp.framework.boot.init.ApplicationProperties;
import org.junit.After;
import org.junit.Before;
import org.junit.FixMethodOrder;
import org.junit.runner.RunWith;
import org.junit.runners.MethodSorters;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @Date : 2018-10-29 19:12
 * @Modify :
 **/
@RunWith(SpringRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@AutoConfigureMockMvc
@FixMethodOrder(value = MethodSorters.DEFAULT)  // <<--- I will change here for testing ...
public class TestBase {

    @Autowired
    private ApplicationProperties app;

    @Autowired
    private ISysConfigService sysConfigService;

    @Before
    public void init() {
        System.out.println("-----------------开始测试-----------------");
        app.setProfilesActive("unit-test");
    }

    @After
    public void after() {
        System.out.println("-----------------测试结束-----------------");
    }

}
